#include <bits/stdc++.h>
using namespace std;
int main()
{
	string t,s;
	cin>>t>>s;
	bool bul=true;
	for(int i=0;i<s.size();i++)
	{
		if(s[i]!='a')
		{
			bul=false;
			break;
		}
	}
	if(bul==true)
	{
		int a=0;
		int ss=s.size();
		for(int i=0;i<t.size();i++)
		{
			if(t[i]=='a')
			{
				a++;
			}
		}
		if(a-ss+1<=0)
		{
			printf("0\n");
		}
		else
		{
			printf("%i\n",a-ss+1);
		}
		for(int i=0;i<t.size();i++)
		{
			if(t[i]=='a' && a>=s.size())
			{
				printf("*");
				a--;
			}
			else
			{
				cout<<t[i];
			}
		}
	}
	return 0;
}